template <class T>
class GeometricField
:
    public List<T>
{
private:
    fvMesh mesh_;
public:
    GeometricField(fvMesh& mesh)
    :
        List<T>(mesh.nCells()+2),
        mesh_(mesh)
    {}
    fvMesh& mesh()
    {
        return mesh_;
    }
    void bcond()
    {
        this->operator[](0)=-100.0;
        //this->operator[](this->size()-1)=200.0;      // for Dirichlet
        this->operator[](this->size()-1)=this->operator[](this->size()-2);
    }
    void init()
    {
        for(int i=1;i<this->size()-1;i++) this->operator[](i)=0.0;
    }
    void write()
    {
        ofstream os("phi");
        for(int i=1;i<this->size()-1;i++) os << this->operator[](i) << endl;
        os.close();
    }
};

