#include <fstream>
#include <iostream>
#include <cmath>

#define NTST 20
#define DT 0.01
#define ALPHA 1.0
using namespace std;

#include "List.H"

#include "fvMeshFor04th.H"
#include "GeometricFieldFor04th.H"
#include "fvMatrixFor04th.H"

int main()
{
    fvMesh mesh;
    GeometricField<double> phi(mesh);
    phi.init();

    for(int nTime=0;nTime<NTST;nTime++)
    {
        phi.bcond();
        fvMatrix phiEqn(phi);
        phiEqn.calc_source(phi);
        phiEqn.calc_coef(nTime);
        phiEqn.solve(phi,nTime);
    }
    phi.write();
    return 0;
}
