#include <fstream>
#include <iostream>
#include <cmath>

#define NTST 20
#define DT 0.01
#define ALPHA 1.0
using namespace std;

#include "List.H"
#include "fvMeshFor06th.H"
#include "IOobjectFor06th.H"
#include "GeometricFieldFor06th.H"
#include "fvMatrixFor06th.H"

int main()
{
    fvMesh mesh;
    GeometricField<double> phi
    (
        IOobject
        (
            "phi",
            ".",
            true,
            true
        )
       ,mesh
    );

    for(int nTime=0;nTime<NTST;nTime++)
    {
        phi.bcond();
        fvMatrix phiEqn(phi);
        phiEqn.ddt(phi);
        phiEqn.laplacian(phi);
        phiEqn.solve(phi,nTime);
    }
    phi.write();
    return 0;
}
