#include <fstream>
#include <iostream>
#include <cmath>

#define NTST 20
#define DT 0.01
#define ALPHA 1.0
using namespace std;

#include "List.H"
#include "PtrList.H"
#include "tmpFor10th.H"
#include "fvMeshFor10th.H"
#include "IOobjectFor10th.H"
#include "GeometricFieldFor10th.H"
#include "fvMatrixFor10th.H"
#include "fvmFor10th.H"

int main()
{
    fvMesh mesh;
    GeometricField<double> phi
    (
        IOobject
        (
            "phi",
            ".",
            true,
            true
        )
       ,mesh
    );

    for(int nTime=0;nTime<NTST;nTime++)
    {
        fvMatrix phiEqn(fvm::ddt(phi)-fvm::laplacian(phi));
        phiEqn.solve(phi,nTime);
        phi.correctBoundaryConditions();
    }
    phi.write();
    return 0;
}
