#include <fstream>
#include <iostream>
#include <cmath>

#define NTST 20
#define DT 0.01
#define ALPHA 1.0
using namespace std;

#include "List.H"
#include "PtrList.H"
#include "tmpFor15th.H"

template <class T>
class fvPatchField;

static List<fvPatchField<double>* (*)(const List<double>&, const int&, istream&) > patchConstructorPtr(0);
static List<string> patchConstructorName(0);

#include "fvMeshFor15th.H"
#include "IOobjectFor15th.H"
#include "GeometricFieldFor15th.H"
#include "fvMatrixFor15th.H"
#include "fvmFor15th.H"
#include "addpatchConstructorToTableFor15th.H"

addpatchConstructorToTable<double, fixedValueFvPatchField> reg_fixedValueFvPatchField_;
addpatchConstructorToTable<double, zeroGradientFvPatchField> reg_zeroGradientFvPatchField_;

int main()
{
    fvMesh mesh;
    GeometricField<double> phi
    (
        IOobject
        (
            "phi",
            ".",
            true,
            true
        )
       ,mesh
    );

    for(int nTime=0;nTime<NTST;nTime++)
    {
        fvMatrix phiEqn(fvm::ddt(phi)-fvm::laplacian(phi));
        phiEqn.solve(phi,nTime);
        phi.correctBoundaryConditions();
    }
    phi.write();
    return 0;
}
