class fvMesh
{
private:
    int nCells_;
    double DY_;
    double DZ_;
    List<double> dx_;
    List<double> V_;
    List<double> Af_;
public:
    fvMesh()
    :
        nCells_(10),
        DY_(1.0),
        DZ_(1.0),
        dx_(nCells_+2),
        V_(nCells_+1),
        Af_(nCells_+2)
    {
        for(int i=1;i<dx_.size();i++) dx_[i]=1.0/double(nCells_);
        dx_[1]=0.5*dx_[1];
        dx_[dx_.size()-1]=0.5*dx_[dx_.size()-1];
        for(int i=1;i<V_.size();i++)
        {
            Af_[i]=DY_*DZ_;
            V_[i]=Af_[i]*1.0/double(nCells_);
        }
        Af_[Af_.size()-1]=DY_*DZ_;
    }
    List<double>& dx()
    {
        return dx_;
    }
    List<double>& V()
    {
        return V_;
    }
    List<double>& Af()
    {
        return Af_;
    }
    int nCells()
    {
        return nCells_;
    }
};

