template <class T>
class fvPatchField
:
    public List<T>
{
public:
    fvPatchField(const int& nPatch)
    {
        this->setSize(nPatch);
    }

    static fvPatchField<T>* New(const List<T>& field, const int& nPatch, istream& is, const string& patchFieldType)
    {
        if(patchFieldType==fixedValueFvPatchField<T>::typeName())
        {
            fvPatchField<T>* pList = new fixedValueFvPatchField<T>(field,1,is);
            return pList;
        }
        else if(patchFieldType==zeroGradientFvPatchField<T>::typeName())
        {
            fvPatchField<T>* pList = new zeroGradientFvPatchField<T>(field,1,is);
            return pList;
        }
    }
};

