template <class T>
class fvPatchField
:
    public List<T>
{
private:
    bool updated_;
public:
    fvPatchField(const int& nPatch)
    :
        updated_(false)
    {
        this->setSize(nPatch);
    }

    static fvPatchField<T>* New(const List<T>& field, const int& nPatch, istream& is, const string& patchFieldType)
    {
        for(int i=0;i<patchConstructorPtr.size();i++)
        {
            if(patchFieldType==patchConstructorName[i])
            {
                fvPatchField<T>* pList = (*patchConstructorPtr[i])(field,1,is);
                return pList;
            }
        }
    }
    void evaluate(const double& value)
    {
        if(!updated_) updateCoeffs(value);
        updated_ = false;
    }
    virtual void updateCoeffs(const double& value)
    {
        updated_ = false;
    }
};
