namespace fvm
{
    fvMatrix& ddt(GeometricField<double>& phi)
    {
        tmp<fvMatrix> tFvMatrix = new fvMatrix(phi);
        fvMatrix& rfvm = tFvMatrix.ref();
        for(int i=1;i<rfvm.source().size();i++)
        {
            rfvm.source()[i]+=1.0/DT*phi[i]*phi.mesh().V()[i];
            rfvm.coef()[i][i]+=1.0*phi.mesh().V()[i]/DT;
        }
        return rfvm;
    }
    fvMatrix& laplacian(GeometricField<double>& phi)
    {
        tmp<fvMatrix> tFvMatrix = new fvMatrix(phi);
        fvMatrix& rfvm = tFvMatrix.ref();
        for(int i=1;i<rfvm.source().size();i++)
        {
            rfvm.source()[i]=0.0;
            rfvm.coef()[i][i]=-ALPHA*(phi.mesh().Af()[i+1]/phi.mesh().dx()[i+1]+phi.mesh().Af()[i]/phi.mesh().dx()[i]);
            if(i!=1) rfvm.coef()[i-1][i]=ALPHA*phi.mesh().Af()[i]/phi.mesh().dx()[i];
            if(i!=rfvm.coef().size()-1) rfvm.coef()[i+1][i]=ALPHA*phi.mesh().Af()[i+1]/phi.mesh().dx()[i+1];
        }
        rfvm.boundaryCoef()[1]=-ALPHA*phi.mesh().Af()[1]*phi[0]/phi.mesh().dx()[1];
        rfvm.internalCoef()[rfvm.coef().size()-1]=ALPHA*phi.mesh().Af()[rfvm.coef().size()]/phi.mesh().dx()[rfvm.coef().size()];      // for Neumann at i=M1
        return rfvm;
    }
};

