class vector
{
private:
    double v_[3];
public:
    vector()
    {}
    vector(double vx, double vy, double vz)
    {
       v_[0]=vx;
       v_[1]=vy;
       v_[2]=vz;
     }
    double& operator[](int d)
    {
        return v_[d];
    }
    friend ostream& operator<< (ostream& os, vector v)
    {
        os << "(" << v[0] << " " << v[1] << " " << v[2] << ")" ;
        return os; 
    }
    friend vector operator+ (vector v1, vector v2)
    {
        return vector(v1.x()+v2.x(),v1.y()+v2.y(),v1.z()+v2.z());
    }
    friend vector operator- (vector v1, vector v2)
    {
        return vector(v1.x()-v2.x(),v1.y()-v2.y(),v1.z()-v2.z());
    }
    friend vector operator/ (vector v1, double d)
    {
        return vector(v1.x()/d, v1.y()/d, v1.z()/d);
    }
    friend vector operator* (vector v1, double d)
    {
        return vector(v1.x()*d, v1.y()*d, v1.z()*d);
    }
    friend vector operator* (double d, vector v1)
    {
        return vector(d*v1.x(), d*v1.y(), d*v1.z());
    }
    friend vector operator^ (vector v1, vector v2)
    {
        return vector(v1.y()*v2.z()-v1.z()*v2.y(), -v1.x()*v2.z()+v1.z()*v2.x(), v1.x()*v2.y()-v1.y()*v2.x());
    }
    friend double operator& (vector v1, vector v2)
    {
       return (v1.x()*v2.x()+v1.y()*v2.y()+v2.y()+v1.z()*v2.z());
    }
    double mag()
    {
        return sqrt(v_[0]*v_[0]+v_[1]*v_[1]+v_[2]*v_[2]);
    }

};


